/*
 * @Author: chris
 * @Date: 2026-01-16 15:11:26
 * @LastEditors: chris
 * @LastEditTime: 2026-01-20 14:54:23
 */
import request from "@/utils/request";

// 获取反馈信息列表（分页）
export function listFeedBack(query) {
  return request({
    url: "/business/feedback/list",
    method: "get",
    params: query,
  });
}

// 添加反馈信息
export function addFeedBack(data) {
  return request({
    url: "/business/feedback",
    method: "post",
    data,
  });
}

// 删除反馈信息
export function deleteFeedBack(ids) {
  return request({
    url: "/business/feedback/" + ids,
    method: "delete",
  });
}

// 更新反馈信息
export function updateFeedBack(data) {
  return request({
    url: "/business/feedback",
    method: "put",
    data,
  });
}

// 获取反馈信息详情
export function getFeedBack(id) {
  return request({
    url: "/business/feedback/" + id,
    method: "get",
  });
}
